Inspect an operator turn
curl --request GET \
--url https://api.cool.computer/api/operator/turns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cool.computer/api/operator/turns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cool.computer/api/operator/turns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"title": "<string>",
"pi_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_computer_id": "<string>",
"status": "running"
},
"turn": {
"id": "<string>",
"source": "browser",
"message": "<string>",
"state": "queued",
"attempt": 1,
"cancellation_requested": true,
"presented": true,
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"media_type": "<string>",
"size_bytes": 1,
"width": 2,
"height": 2
}
],
"provider": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"computer_id": "<string>",
"usage": "<unknown>",
"error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
},
"status_stream_cursor": 1
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"context": {}
}Operator
Inspect an operator turn
Returns a turn with its conversation.
GET
/
api
/
operator
/
turns
/
{id}
Inspect an operator turn
Authorizations
A Cool Computers API key, user access token, or claimed agent access token in the Authorization header. Follow https://www.cool.computer/auth.md for agent registration and https://www.cool.computer/authentication.md for direct user credentials.
Path Parameters
Operator turn identifier.
Minimum string length:
1
